Karia
ReferencesOpenapiNovated asset

List novated asset budgets

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset/{assetId}/budget

List operating budgets for a novated asset in the specified organisation and workspace, with optional status and pagination filters.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
assetId*string
status?string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 50
Default10

Response Body

Successful response

application/json
  1. response
items*array<>
pagination*
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset/string/budget'
Example Response
{  "items": [    {      "id": 0,      "referenceId": "string",      "name": "string",      "status": "string",      "type": "string",      "durationInMonths": 0,      "totalBudgetCostExGst": "string",      "totalBudgetCostGst": "string",      "monthlyBudgetExGst": "string",      "monthlyBudgetGst": "string",      "startDate": "string",      "endDate": "string",      "lineItems": [        {          "id": 0,          "type": "string",          "description": "string",          "status": "string",          "amountExGst": "string",          "amountGst": "string",          "monthlyExGst": "string",          "monthlyGst": "string"        }      ]    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0  }}